--- old/usr/src/uts/common/fs/sharefs/sharetab.c	2014-07-28 07:44:19.534536668 -0400
+++ new/usr/src/uts/common/fs/sharefs/sharetab.c	2014-07-28 07:44:19.540968051 -0400
@@ -154,15 +154,15 @@
 			}
 
 			ASSERT(sht->s_buckets[iHash].ssh_count != 0);
-			atomic_add_32(&sht->s_buckets[iHash].ssh_count, -1);
-			atomic_add_32(&sht->s_count, -1);
-			atomic_add_32(&sharetab_count, -1);
+			atomic_dec_32(&sht->s_buckets[iHash].ssh_count);
+			atomic_dec_32(&sht->s_count);
+			atomic_dec_32(&sharetab_count);
 
 			ASSERT(sharetab_size >= s->sh_size);
 			sharetab_size -= s->sh_size;
 
 			gethrestime(&sharetab_mtime);
-			atomic_add_32(&sharetab_generation, 1);
+			atomic_inc_32(&sharetab_generation);
 
 			break;
 		}
@@ -281,7 +281,7 @@
 			sharefree(s, NULL);
 
 			gethrestime(&sharetab_mtime);
-			atomic_add_32(&sharetab_generation, 1);
+			atomic_inc_32(&sharetab_generation);
 
 			ASSERT(sht->s_buckets[iHash].ssh_count != 0);
 			rw_exit(&sharetab_lock);
@@ -298,13 +298,13 @@
 	 */
 	sh->sh_next = sht->s_buckets[iHash].ssh_sh;
 	sht->s_buckets[iHash].ssh_sh = sh;
-	atomic_add_32(&sht->s_buckets[iHash].ssh_count, 1);
-	atomic_add_32(&sht->s_count, 1);
-	atomic_add_32(&sharetab_count, 1);
+	atomic_inc_32(&sht->s_buckets[iHash].ssh_count);
+	atomic_inc_32(&sht->s_count);
+	atomic_inc_32(&sharetab_count);
 	sharetab_size += sh->sh_size;
 
 	gethrestime(&sharetab_mtime);
-	atomic_add_32(&sharetab_generation, 1);
+	atomic_inc_32(&sharetab_generation);
 
 	rw_exit(&sharetab_lock);
 
